<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of LiTraAk Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# LiTraAk Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# LiTraAk Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LiTraAk Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }

$core->addBehavior('initWidgets',array('litraakWidgets','initWidgets'));
$core->addBehavior('initDefaultWidgets',array('litraakWidgets','initDefaultWidgets'));

class litraakWidgets
{
	public static function initWidgets($w)
	{
		global $core;
		
		// Widget des projets
		$w->create('litraak',__('LitraAk project list'),array('litraakPublic','litraakProjectsWidget'));
		$w->litraak->setting('title', __('Title:'), __('My projects'));
		$w->litraak->setting('homeonly', __('Home page only'), 0,'check');
	}
	
	public static function initDefaultWidgets($w,$d)
	{
		// NOP
	}
}




?>